Backup Status - Get
获取容器备份状态
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.RecoveryServices/locations/{azureRegion}/backupStatus?api-version=2025-08-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
azure
|
path | True |
string |
要命中 Api 的 Azure 区域 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| poLogicalName |
string |
可保护项逻辑名称 |
| resourceId |
string |
资源的整个 ARM 资源 ID |
| resourceType |
容器类型 - VM、SQLPaaS、DPM、AzureFileShare... |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get Azure Virtual Machine Backup Status
示例请求
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.RecoveryServices/locations/southeastasia/backupStatus?api-version=2025-08-01
{
"resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.Compute/VirtualMachines/testVm",
"resourceType": "VM"
}
示例响应
{
"containerName": "iaasvmcontainer;iaasvmcontainerv2;testRg;testVm",
"errorCode": "Success",
"errorMessage": "ErrorMessage",
"fabricName": "Azure",
"policyName": "myPolicy",
"protectedItemName": "vm;iaasvmcontainerv2;testRg;testVm",
"protectionStatus": "Protected",
"vaultId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.RecoveryServices/Vaults/testVault"
}
定义
| 名称 | 说明 |
|---|---|
|
Acquire |
是否为此容器获取存储帐户锁。 |
|
Backup |
BackupStatus 请求。 |
|
Backup |
BackupStatus 响应。 |
|
Data |
此项表示的工作负荷类型。 |
|
Error |
Error Detail 类,用于封装 Code、Message 和 Recommendations。 |
|
Error |
错误响应 |
|
Fabric |
指定结构名称 - Azure 或 AD |
|
Protection |
指定容器是否已注册 |
AcquireStorageAccountLock
是否为此容器获取存储帐户锁。
| 值 | 说明 |
|---|---|
| Acquire | |
| NotAcquire |
BackupStatusRequest
BackupStatus 请求。
| 名称 | 类型 | 说明 |
|---|---|---|
| poLogicalName |
string |
可保护项逻辑名称 |
| resourceId |
string |
资源的整个 ARM 资源 ID |
| resourceType |
容器类型 - VM、SQLPaaS、DPM、AzureFileShare... |
BackupStatusResponse
BackupStatus 响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| acquireStorageAccountLock |
指定是否已获取存储帐户锁 |
|
| containerName |
string |
指定特定于产品的容器名称。 例如 iaasvmcontainer;iaasvmcontainer;csname;vmname。 |
| errorCode |
string |
如果意向失败,则 ErrorCode |
| errorMessage |
string |
如果意向失败,则 ErrorMessage。 |
| fabricName |
指定结构名称 - Azure 或 AD |
|
| policyName |
string |
指定用于保护的策略名称 |
| protectedItemName |
string |
指定特定于产品的 ds 名称。 例如 vm;iaasvmcontainer;csname;vmname。 |
| protectedItemsCount |
integer (int32) |
受保护的项数 |
| protectionStatus |
指定容器是否已注册 |
|
| registrationStatus |
string |
容器注册状态 |
| vaultId |
string |
指定保管库的 arm 资源 ID |
DataSourceType
此项表示的工作负荷类型。
| 值 | 说明 |
|---|---|
| Invalid | |
| VM | |
| FileFolder | |
| AzureSqlDb | |
| SQLDB | |
| Exchange | |
| Sharepoint | |
| VMwareVM | |
| SystemState | |
| Client | |
| GenericDataSource | |
| SQLDataBase | |
| AzureFileShare | |
| SAPHanaDatabase | |
| SAPAseDatabase | |
| SAPHanaDBInstance |
ErrorDetail
Error Detail 类,用于封装 Code、Message 和 Recommendations。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码。 |
| message |
string |
与代码相关的错误消息。 |
| recommendations |
string[] |
建议字符串列表。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
FabricName
指定结构名称 - Azure 或 AD
| 值 | 说明 |
|---|---|
| Invalid | |
| Azure |
ProtectionStatus
指定容器是否已注册
| 值 | 说明 |
|---|---|
| Invalid | |
| NotProtected | |
| Protecting | |
| Protected | |
| ProtectionFailed |